Package org.eclipse.jgit.transport

## Class TransportGitSsh

- java.lang.Object
- - org.eclipse.jgit.transport.Transport
  - - org.eclipse.jgit.transport.TcpTransport
    - - org.eclipse.jgit.transport.SshTransport
      - - org.eclipse.jgit.transport.TransportGitSsh

All Implemented Interfaces:
  `PackTransport`

    public class TransportGitSsh
    extends SshTransport
    implements PackTransport

Transport through an SSH tunnel.

The SSH transport requires the remote side to have Git installed, as the transport logs into the remote system and executes a Git helper program on the remote side to read (or write) the remote repository's files.

This transport does not support direct SCP style of copying files, as it assumes there are Git specific smarts on the remote side to perform object enumeration, save file modification and hook execution.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.Transport

`Transport.Operation`

### Field Summary

### Fields inherited from class org.eclipse.jgit.transport.Transport

`DEFAULT_FETCH_THIN, DEFAULT_PUSH_THIN, local, REFSPEC_PUSH_ALL, REFSPEC_TAGS, uri`

### Method Summary

All Methods Instance Methods Concrete Methods
`FetchConnection` `openFetch()` Begins a new connection for fetching from the remote repository.
`PushConnection` `openPush()` Begins a new connection for pushing into the remote repository.

### Methods inherited from class org.eclipse.jgit.transport.SshTransport

`close, getSession, getSshSessionFactory, setSshSessionFactory`

### Methods inherited from class org.eclipse.jgit.transport.Transport

`applyConfig, fetch, findRemoteRefUpdatesFor, findRemoteRefUpdatesFor, getCredentialsProvider, getObjectChecker, getOptionReceivePack, getOptionUploadPack, getPackConfig, getTagOpt, getTimeout, getTransportProtocols, getURI, isCheckFetchedObjects, isDryRun, isFetchThin, isPushThin, isRemoveDeletedRefs, open, open, open, open, open, open, open, openAll, openAll, openAll, openAll, push, push, register, setCheckFetchedObjects, setCredentialsProvider, setDryRun, setFetchThin, setObjectChecker, setOptionReceivePack, setOptionUploadPack, setPackConfig, setPushThin, setRemoveDeletedRefs, setTagOpt, setTimeout, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### openFetch

    public FetchConnection openFetch()
                              throws TransportException

Description copied from class: `Transport`
Begins a new connection for fetching from the remote repository.

If the transport has no local repository, the fetch connection can only be used for reading remote refs.

Specified by:
  `openFetch` in class `Transport`
Returns:
  a fresh connection to fetch from the remote repository.
Throws:
  `TransportException` - the remote connection could not be established.

#### openPush

    public PushConnection openPush()
                            throws TransportException

Description copied from class: `Transport`
Begins a new connection for pushing into the remote repository.

Specified by:
  `openPush` in class `Transport`
Returns:
  a fresh connection to push into the remote repository.
Throws:
  `TransportException` - the remote connection could not be established